org.springframework.ui.context.support

## Class SimpleTheme

- java.lang.Object
- - org.springframework.ui.context.support.SimpleTheme

All Implemented Interfaces:
  Theme

    public class SimpleTheme
    extends Object
    implements Theme

Default `Theme` implementation, wrapping a name and an underlying `MessageSource`.

Since:
  17.06.2003
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`SimpleTheme(String name, MessageSource messageSource)` Create a SimpleTheme.

### Method Summary

Methods
`MessageSource` `getMessageSource()` Return the specific MessageSource that resolves messages with respect to this theme.
`String` `getName()` Return the name of the theme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTheme

    public SimpleTheme(String name,
               MessageSource messageSource)

Create a SimpleTheme.

Parameters:
  `name` - the name of the theme
  `messageSource` - the MessageSource that resolves theme messages

### Method Detail

#### getName

    public final String getName()

Description copied from interface: `Theme`
Return the name of the theme.

Specified by:
  `getName` in interface `Theme`
Returns:
  the name of the theme (never `null`)

#### getMessageSource

    public final MessageSource getMessageSource()

Description copied from interface: `Theme`
Return the specific MessageSource that resolves messages with respect to this theme.

Specified by:
  `getMessageSource` in interface `Theme`
Returns:
  the theme-specific MessageSource (never `null`)